# octavia.amphorae.drivers.keepalived package

## Subpackages

- octavia.amphorae.drivers.keepalived.jinja package
  - Submodules
  - octavia.amphorae.drivers.keepalived.jinja.jinja_cfg module
  - Module contents

## Submodules

## octavia.amphorae.drivers.keepalived.vrrp_rest_driver module

class KeepalivedAmphoraDriverMixin

  Bases: `octavia.amphorae.drivers.driver_base.VRRPDriverMixin`

  reload_vrrp_service(loadbalancer)

    Reload the VRRP services of all amphorae of the loadbalancer

    Parameters

      loadbalancer – loadbalancer object

  start_vrrp_service(amphora, timeout_dict=None)

    Start the VRRP services on an amphorae.

    Parameters

      - amphora – amphora object

      - timeout_dict – Dictionary of timeout values for calls to the amphora. May contain: req_conn_timeout, req_read_timeout, conn_max_retries, conn_retry_interval

  stop_vrrp_service(loadbalancer)

    Stop the vrrp services running on the loadbalancer’s amphorae

    Parameters

      loadbalancer – loadbalancer object

  update_vrrp_conf(loadbalancer, amphorae_network_config, amphora, timeout_dict=None)

    Update amphora of the loadbalancer with a new VRRP configuration

    Parameters

      - loadbalancer – loadbalancer object

      - amphorae_network_config – amphorae network configurations

      - amphora – The amphora object to update.

      - timeout_dict – Dictionary of timeout values for calls to the amphora. May contain: req_conn_timeout, req_read_timeout, conn_max_retries, conn_retry_interval

## Module contents

this page last updated: 2026-03-10 21:33:29

Except where otherwise noted, this document is licensed under Creative Commons Attribution 3.0 License. See all OpenStack Legal Documents.

found an error? report a bug